# SystemConfig Configuration
node-id=localNode
ssl-port=8443

cors.domain=*
# Context Path
web-context-path=/
web-resource-root=classpath:/public/

# Datasource(PostgreSQL)
datasource.driver=net.sf.log4jdbc.sql.jdbcapi.DriverSpy
datasource.url=jdbc:log4jdbc:postgresql://192.168.0.60:5432/casaos
datasource.username=casaos
datasource.password=casaos



## URL ,package, Path Configuration
web-content-root-path=http://localhost:8081
static-resource-path=http://localhost:8081/static

# 시스템 기본 설정
base.package=com.samsung
# 결재 문서를 찾을 때 entity 패키지 아래의 클래스들만 찾음
entity.package-name=entity

# NewEpTray PrivateKey 경로
## resource-local 폴더에 위치 할 경우 /rsaprivkey8.pem
## ClassPath 외에 있을 경우 file:c://knoxtray/rsaprivkey8.pem
login.sso.knox-tray-private-key-path=/rsaprivkey8.pem

## SSO 및 AD 자동 가입 허용, Allow SSO / AD auto sign up
login.auto-sign-up=true

## 시스템 자동 승인
user.auto-permission=true
## 사용자 권한 기본 부여(달)
user.valid-default-period=24

## 개인정보보호정책/약관동의
# 약관동의 사용 여부
privacy-policy.check.enabled=true
# 약관동의 인터셉터 체크 제외 URI
privacy-policy.check.exclude-path=/privacypolicy/terms/valid,/privacypolicy/terms-agree

## Email
email.limit-body=1048576
email.limit-recipients=100

## Batch Configuration
# 사용자
batch.user.sync.retire.enabled=false
batch.user.sync.cron=0 10 23 * * ?
batch.user.long-term.month=3
batch.user.long-term-check.cron=0 10 00 * * ?
batch.user.auth-expired.alarm.before=1,7,14
batch.user.auth-expired.cron=0 10 02 * * ?
batch.user.auth-expired-mailing.cron=0 30 02 * * ?
# 메뉴사용이력
batch.sys-use-log.menu-use-history.cron=0 10 01 * * ?
# 메뉴활용도
batch.sys-use-log.menu-utilization.cron=0 30 01 * * ?


batch.mbo001.cron=* * * * * ?
# GHRP(임직원/부서정보 I/F)
batch.dept.cron=0 10 2 * * ?
batch.user.cron=0 10 2 * * ?

# 보안 관련 설정
# MyBatis Comparator 설정 영문대소문자 숫자 스페이스 콤마(,) 만 허용함.
security.sql-injection.allowed-pattern=.*[^a-zA-Z0-9_\\s,].*
security.authentication.exclude-path=/,/**/*.html,/**/*.ico,/resources/**,/static/**,/**/noauth/**,/public/**,/error,/assets/**,/swagger-ui/**,/v3/api-docs/**
security.jwt.secret-key=ImportantMakeSecretKeyLongerThan256BitsPlease
#단위 시간 4시간 이하 권장
security.jwt.expiration-time=4
security.eptray.expiration-time=24
#Timeout 설정 (Session Timeout와 같은 기능) 단위 분, 30분 동안 사용하지 않으면 자동 로그아웃
security.check.access.timeout=true
security.access.limit.timeout=30
security.check.duplicate.login=false
security.login.error.limit=5

# AccessLog db or file
access-log.store-type=db
access-log.exclude-path=/,/**/*.html,/**/*.ico,/resources/**,/static/**,/**/noauth/**,/public/**,/error,/assets/**,/swagger-ui/**,/v3/api-docs/**
access-log.batch.enabled=true
access-log.file-path=/logs/access

# 메뉴활용도 보관 기간
menu-utilization.retention-period=24

## File Attach Configuration
common.upload-path=D:/embo/upload
common.upload.directory-name-len=2
common.download.zipfilename=compressed
common.upload.allowed-extensions=doc,docx,xls,xlsx,pdf,png,bmp,jpg,gif,ppt,pptx,txt,mht,zip,html,htm,vm
common.excel-upload-path=/excel
common.upload.max-request-size=-1
common.upload.max-file-size=-1
common.upload.default-encoding=UTF-8
# custom upload path 설정
custom.upload-path.enabled=true
custom.upload-path=\
notice=D:/embo/upload/notice,\
FORMULA=D:/embo/upload/FORMULA
## Excel Info
excel.mapping.locations=classpath*:/excel/*.xml
## File Path, etc
#excel.mapping.locations=file:/C:/excel/*.xml,classpath:/excel/*.xml
## 0 is no reloading, 10000 is 10 sec.
excel.mapping.reloadInterval=10000

## TimeZone Configuration (사용자 정보내 timezone 설정이 없을떄 기본으로 설정 되는 값, 시스템 기준 시간인 java vm 기준으로 설정하는것을 권장)
common.server-time-zone-id=Asia/Seoul
common.server-time-zone=GMT+9:00

## Knox Approval Sync
knox.approval.sync.cron=0 0/3 * * * ?

## Language Set
default-language=ko_KR
language-set=ko_KR,en_US

## Translation
api.utrans.url=https://translate-stg.sec.samsung.net/utrans/apis/v1/translate
api.utrans.type=s-stdlib
api.utrans.key=cy1zdGRsaWI=

## 관리자 IP 제한
admin.address.check=false

## 시스템 대표계정 이메일 주소 (프로젝트에 맞게 변경)
system.email=abc_support@stage.samsung.com

## Client IP Header
client.ip.header=X-Forwarded-For,Proxy-Client-IP,WL-Proxy-Client-IP,HTTP_CLIENT_IP,HTTP_X_FORWARDED_FOR

## Cache Evict 설정
cache.evict.names=api-user,api-user-menu
cache.evict.cron=0 0/5 * * * ?



ghrp.default-protocol=http
ghrp.address.prefix=127.0.0.1
ghrp.token=2fbee24b-ea55-3ecb-8267-72c340117b47
ghrp.dept-service=/dept
ghrp.emp-service=/emp
